<template>
  <el-row class="signContract marginBottom40">
    <el-form ref="form" :model="form" label-width="6.25rem">
      <el-row>
        <el-col :span="8" :offset="1">
          <el-form-item class="c9696A0" label="保理合同信息"></el-form-item>
        </el-col>
      </el-row>
      <el-row v-if="Object.keys(form.contractDetailVO).length">
        <el-row class="marginTop10">
          <el-col :span="8" :offset="1">
            <el-form-item label="是否线上签署">{{form.contractDetailVO.signType === 1 ? '是' : '否'}}</el-form-item>
          </el-col>
        </el-row>
        <el-row
          v-if="form.contractDetailVO.attachmentList && form.contractDetailVO.attachmentList.length"
        >
          <el-col :span="8" :offset="1">
            <el-form-item label="电子合同">
              <div v-for="(item,index) in form.contractDetailVO.attachmentList" :key="index">
                <ootecoDownload :conf="item"></ootecoDownload>
              </div>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row v-else-if="form.contractDetailVO.fileName">
          <el-col :span="8" :offset="1">
            <el-form-item label="电子合同">
              <a
                download
                :href="this.contract_url"
                class="c4D84EF cur"
              >{{form.contractDetailVO.fileName}}</a>
              <a
                download
                href="https://wt.szca.net/ocsp/ocspList"
                target="view_window"
                class="c4D84EF cur"
                style="margin-left: 40px;text-decoration:none;"
              >查询CA认证记录</a>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row
          class="marginTop10"
          style="margin-bottom:0.625rem;"
          v-if="form.contractDetailVO.signType === 1"
        >
          <el-col :span="20" :offset="1">
            <el-form-item label label-width="1.25rem">
              <ooteco-table :conf="tableConf_1"></ooteco-table>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row v-if="form.contractDetailVO.endDate">
          <el-col :span="8" :offset="1">
            <el-form-item label="有效日期">{{form.contractDetailVO.endDate}}</el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="8" :offset="1">
            <el-form-item label="签署状态">{{form.contractDetailVO.statusName}}</el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="8" :offset="1">
            <el-form-item label="备注信息">{{form.contractDetailVO.remark || '无备注信息'}}</el-form-item>
          </el-col>
        </el-row>
      </el-row>
      <el-row v-else>
        <el-col class="c9696A0" :span="4" :offset="3">暂无信息</el-col>
      </el-row>
      <el-row class="marginTop20">
        <el-col :span="8" :offset="1">
          <el-form-item class="c9696A0" label="确权信息"></el-form-item>
        </el-col>
      </el-row>
      <el-row v-if="Object.keys(form.confirmationVO).length">
        <el-row class="marginTop10">
          <el-col :span="8" :offset="1">
            <el-form-item label="是否线上签署">{{form.confirmationVO.signType === 1 ? '是' : '否'}}</el-form-item>
          </el-col>
        </el-row>
        <el-row
          v-if="form.confirmationVO.attachmentList && form.confirmationVO.attachmentList.length"
        >
          <el-col :span="8" :offset="1">
            <el-form-item label="确权文件">
              <div v-for="(item,index) in form.confirmationVO.attachmentList" :key="index">
                <ootecoDownload :conf="item"></ootecoDownload>
              </div>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row v-else-if="form.confirmationVO.fileName">
          <el-col :span="8" :offset="1">
            <el-form-item label="确权文件">
              <a
                download
                :href="this.confirm_url"
                class="c4D84EF cur"
              >{{form.confirmationVO.fileName}}</a>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row
          class="marginTop10"
          style="margin-bottom:0.625rem;"
          v-if="form.confirmationVO.signType === 1"
        >
          <el-col :span="20" :offset="1">
            <el-form-item label label-width="1.25rem">
              <ooteco-table :conf="tableConf_2"></ooteco-table>
            </el-form-item>
          </el-col>
        </el-row>
        <el-row v-if="form.confirmationVO.endDate">
          <el-col :span="8" :offset="1">
            <el-form-item label="有效日期">{{form.confirmationVO.endDate}}</el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="8" :offset="1">
            <el-form-item label="签署状态">{{form.confirmationVO.statusName}}</el-form-item>
          </el-col>
        </el-row>
        <el-row>
          <el-col :span="8" :offset="1">
            <el-form-item label="备注信息">{{form.confirmationVO.remark || '无备注信息'}}</el-form-item>
          </el-col>
        </el-row>
      </el-row>
      <el-row v-else>
        <el-col class="c9696A0" :span="4" :offset="3">暂无信息</el-col>
      </el-row>
    </el-form>
  </el-row>
</template>

<script>
import ootecoTable from "@com/ooteco_table";
import ootecoDownload from "@com/ooteco_download_file";
export default {
  mixins: [$mixin],
  components: { ootecoTable, ootecoDownload },
  data() {
    return {
      contract_url: '',
      confirm_url: '',
      form: {
        confirmationVO: {},
        contractDetailVO: {}
      },
      tableConf_1: {
        params: {},
        headers: [
          {
            label: "角色",
            prop: "grade",
            filter: val => {
              return ["甲方", "乙方", "丙方", "丁方"][val];
            }
          },
          {
            label: "名称",
            prop: "companyName"
          },
          {
            label: "是否已签署",
            prop: "status"
          },
          {
            label: "人脸识别结果",
            prop: "", //TODO
            type: "downloadZip",
            sub_conf: [
              {
                attachName: "返回结果",
                prop: "faceResultPath",
                redirect: true
              },
              {
                attachName: "识别图片",
                prop: "faceImagePath",
                type: 'download'
              }
            ]
          }
        ]
      },
      tableConf_2: {
        params: {},
        headers: [
          {
            label: "角色",
            prop: "grade",
            filter: val => {
              return ["甲方", "乙方", "丙方", "丁方"][val];
            }
          },
          {
            label: "名称",
            prop: "companyName"
          },
          {
            label: "是否已签署",
            prop: "status"
          },
          {
            label: "人脸识别结果",
            prop: "" //TODO
          }
        ]
      }
    };
  },
  methods: {
    requestData() {
      this.$http
        .get({
          url: "contract/detail",
          params: {
            businessId: this.$route.query.businessId
          }
        })
        .then(
          ({ data }) => {
            this.form = data
            data.contractDetailVO &&
            data.contractDetailVO.companyList &&
            this.$set(
                    this.tableConf_1,
                    'data',
                    data.contractDetailVO.companyList
            )
            data.confirmationVO &&
            data.confirmationVO.companyList &&
            this.$set(
                    this.tableConf_2,
                    'data',
                    data.confirmationVO.companyList
            )
            data.confirmationVO &&
            data.confirmationVO.statusName &&
            this.$set(
                    this.sub_title['saleOpration'].buttons[0],
                    'disable',
                    data.confirmationVO.statusName === '已签署'
            )
//            data.contractDetailVO &&
//            data.contractDetailVO.statusName &&
//            this.$set(
//                    this.sub_title['saleOpration'].buttons[1],
//                    'disable',
//                    data.contractDetailVO.statusName === '已签署'
//            )
            if (data.contractDetailVO.fileName) {
              this.requestDownloadUrl(data.contractDetailVO.contractCode, 1)
            }
            if (data.confirmationVO.fileName) {
              this.requestDownloadUrl(data.contractDetailVO.contractCode, 2)
            }
          },
          msg => {
            this.alert(msg);
          }
        );
    },
    requestDownloadUrl(no, type) {
      this.$http
        .post({
          url: "contract/getContract",
          params: {
            type: "pdf",
            no
          }
        })
        .then(({ msg }) => {
          let data = JSON.parse(msg);
          if (type === 1) {
            this.contract_url = data.pdfUrl;
          } else {
            this.confirm_url = data.pdfUrl;
          }
        });
    }
  },
  mounted() {
    this.requestData();
  }
};
</script>

<style lang="less">
.signContract {
  label {
    height: 2.5rem;
    line-height: 2.5rem !important;
  }
  .el-form-item {
    margin-bottom: 0;
  }
  .c9696A0 {
    label {
      color: #9696a0;
    }
  }
  .el-table {
    background: none;
  }
  .el-table th,
  .el-table tr {
    line-height: 1.25rem;
    background: none;
  }
  .el-table__empty-block {
    border-right: 0.0625rem solid #efeef5;
    border-left: 0.0625rem solid #efeef5;
  }
  .cell div {
    text-align: center;
  }
  .el-form-item__content {
    line-height: 2.5rem;
  }
}
</style>
